;; -*-emacs-lisp-*-

(if (not (file-exists-p "/usr/share/emacs/site-lisp/lisaac-mode"))
    (message "Package lisaac-mode removed but not purged.  Skipping setup.")

  ;; The lisaac-mode package follows the Debian/GNU Linux 'emacsen' policy
  ;; and byte-compiles its elisp files for each 'emacs flavor'.  The compiled
  ;; code is then installed in a subdirectory of the respective site-lisp
  ;; directory.
  (debian-pkg-add-load-path-item
   (concat 
    "/usr/share/" (symbol-name debian-emacs-flavor) "/site-lisp/lisaac-mode"))

  ;; Automatically start lisaac files in lisaac-mode.
  (add-to-list (quote auto-mode-alist) (quote ("\\.li\\'" . lisaac-mode)))

  ;; Make sure that Help can find the source code.  Has to be at the end.
  (setq load-path
      (nconc load-path (list "/usr/share/emacs/site-lisp/lisaac-mode")))
  
  (autoload 'lisaac-mode "lisaac-mode"
            "Major mode for editing typical Lisaac code." t))
